> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dataglade.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dataglade.com/_mcp/server.

# ETF Debt Holdings

GET https://api.dataglade.com/equity/{symbol}/etf_debt_holdings

Reference: https://docs.dataglade.com/holdings/get-etf-debt-holdings

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `symbol` (string, required)

## Response

### 200

Successful Response

- `data` (list of DebtHolding, optional)
- `message` (string, optional) — A message with the response status.
- `info` (Info, optional) — Additional information or metadata about the response. Varies by response type.

## Errors

### 422 Unprocessable Entity

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### DebtHolding

- `holdingId` (integer, required) — Unique identifier for the holding
- `issuerName` (string, required) — Name of the issuer
- `issuerTitle` (string, required) — Title of the issuer
- `issuerCusip` (string, required) — CUSIP of the issuer
- `maturityDate` (string, required) — Maturity date
- `couponType` (string, required) — Type of coupon
- `annualizedRate` (double, required) — Annualized rate of the coupon
- `isDefault` (boolean, required) — Indicates if the security is in default
- `areAnyInterestPayment` (boolean, required) — Indicates if any interest payments are due
- `balance` (integer, required) — Balance of the holding
- `unit` (string, required) — Unit of the holding
- `currencyCode` (string, required) — Currency code
- `currencyValue` (double, required) — Value in the specified currency
- `payoffProfile` (string, required) — Payoff profile of the security
- `assetCategory` (string, required) — Asset category
- `issuerType` (string, required) — Type of the issuer
- `investmentCountry` (string, required) — Country of investment
- `isRestrictedSecurity` (boolean, required) — Indicates if it is a restricted security
- `isAnyPortionInterestPaid` (boolean, optional) — Indicates if any portion of interest is paid
- `isConvertibleMandatory` (boolean, optional) — Indicates if it is mandatorily convertible
- `isConvertibleContingent` (boolean, optional) — Indicates if it is contingently convertible
- `exchangeRate` (double, optional) — Exchange rate applicable
- `percentage` (double, optional) — Percentage representation

### Info

Additional information or metadata about the response. Varies by response type.

- map from string to any
- string

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

- string
- integer

## Examples

**Response**

```json
{
  "data": [
    {
      "holdingId": 128666697,
      "issuerName": "Vita Capital VI Ltd",
      "issuerTitle": "Vita Capital VI 2021-1 Class B",
      "issuerCusip": "92846DAB2",
      "maturityDate": "8-Jan-26",
      "couponType": "Floating",
      "annualizedRate": 8.4535,
      "isDefault": false,
      "areAnyInterestPayment": false,
      "balance": 9482000,
      "unit": "PA",
      "currencyCode": "USD",
      "currencyValue": 0.95,
      "payoffProfile": "Long",
      "assetCategory": "DBT",
      "issuerType": "CORP",
      "investmentCountry": "KY",
      "isRestrictedSecurity": true,
      "isAnyPortionInterestPaid": true,
      "isConvertibleMandatory": true,
      "isConvertibleContingent": true,
      "exchangeRate": 1.1,
      "percentage": 1.1
    }
  ],
  "message": "message",
  "info": {
    "key": "value"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.dataglade.com/equity/symbol/etf_debt_holdings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dataglade.com/equity/symbol/etf_debt_holdings';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dataglade.com/equity/symbol/etf_debt_holdings"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dataglade.com/equity/symbol/etf_debt_holdings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dataglade.com/equity/symbol/etf_debt_holdings")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dataglade.com/equity/symbol/etf_debt_holdings', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dataglade.com/equity/symbol/etf_debt_holdings");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dataglade.com/equity/symbol/etf_debt_holdings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```